KILL(1)

NAME
kill - send signals to processes, or list signals

SYNOPSIS
kill [-s SIGNAL | -SIGNAL] PID...
kill -l [SIGNAL]...
kill -t [SIGNAL]...

DESCRIPTION

Send signals to processes, or list signals.

Mandatory arguments to long options are mandatory for short options too.

-s, --signal=SIGNAL, -SIGNAL

    specify the name or number of the signal to be sent

-l, --list
    list signal names, or convert signal names to/from numbers

-t, --table
    print a table of signal information

--help
    display this help and exit

--version
    output version information and exit

SIGNAL may be a signal name like `HUP', or a signal number like `1', or an exit status of a process terminated by a signal. PID is an integer; if negative it identifies a process group.

AUTHOR
Written by Paul Eggert.

REPORTING BUGS
Report bugs to <bug-coreutils@gnu.org>.

COPYRIGHT
Copyright © 2005 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for kill is maintained as a Texinfo manual. If the info and kill programs are properly installed at your site, the command

    info kill

should give you access to the complete manual.